Fehlermeldung bei phpSQLiteAdmin

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

Fehlermeldung bei phpSQLiteAdmin

Postby _fabi » 16. August 2009 14:52

Hallo, ich bin ziemlich neu unter Linux und auch unter xampp.
Wenn ich über die standart-xampp-Seite auf phpSQLiteAdmin klicke kommt immer folgende Fehlermeldung:

Code: Select all
Deprecated: Assigning the return value of new by reference is deprecated in /opt/lampp/phpsqliteadmin/include.php on line 30
Deprecated: Assigning the return value of new by reference is deprecated in /opt/lampp/phpsqliteadmin/include.php on line 36
Deprecated: Assigning the return value of new by reference is deprecated in /opt/lampp/phpsqliteadmin/include.php on line 38


Ich habe xampp auch wieder gelöscht und nochmals entpackt doch die Fehlermeldung beliebt. Weiß jemand woran das liegen könnte?
Danke

_fabi
_fabi
 
Posts: 2
Joined: 16. August 2009 14:48

Re: Fehlermeldung bei phpSQLiteAdmin

Postby Nobbie » 16. August 2009 15:05

Das ist keine Fehlermeldung sondern eine Notiz. Es wird darauf hingewiesen, dass eine bestimmte Wertzuweisung syntaktisch veraltet ist (offensichtlich ist phpsqliteadmin mit PHP4 entwickelt worden und läuft nun unter PHP5).

Entweder editierst Du das genannte Modul include.php und änderst die genannten Zeilen 30, 36 und 38, oder Du änderst das Errorlevel in php.ini oder Du lebst mit diesen Meldungen.
Nobbie
 
Posts: 8768
Joined: 09. March 2008 13:04

Re: Fehlermeldung bei phpSQLiteAdmin

Postby _fabi » 16. August 2009 16:32

Nobbie wrote:Entweder editierst Du das genannte Modul include.php und änderst die genannten Zeilen 30, 36 und 38, oder Du änderst das Errorlevel in php.ini oder Du lebst mit diesen Meldungen.


Woher weiß ich denn, wie ich die Module ändere oder wie ändere ich das Errorlevel?

Gruß
_fabi
_fabi
 
Posts: 2
Joined: 16. August 2009 14:48

Re: Fehlermeldung bei phpSQLiteAdmin

Postby Nobbie » 16. August 2009 21:41

Indem Du PHP programmieren lernst oder zumindest die Dokumentation über die Konfiguration von PHP liest. Von alleine einfach so kann das keiner.
Nobbie
 
Posts: 8768
Joined: 09. March 2008 13:04

Re: Fehlermeldung bei phpSQLiteAdmin

Postby aros » 07. October 2009 13:20

Hallo Zusammen,

will XAMPP nutzen um typo3, in der Version 4.2.9 die PHP5 benötigt, zu testen
Leider habe ich die gleichen Fehlermeldungen wie _fabi

Habe mir das XAMPP-Handbuch von Kai Seidler und Kay Vogelgesang besorgt, das tolle Möglichkeiten aufzeigt,
die mit XAMPP zu verwirklichen wären. Zu den phpSQlite-Problemen steht aber leider nichts drin.

Auch googeln brachte nichts. Bei der Durchsicht der Foren von der sehr guten und hilfreichen Community ubuntuusers.de konnte ich keine Lösung für mein Problem finden.

Da ich glaube, dass es mit der XAMPP-Installation zu tun hat, wende ich mich mit der Bitte um Hilfe an dieses Forum.

Ich benutze als OS Ubuntu 8.04
Habe xampp-linux-1.7.2.tar.gz von apachefriends geladen und unter /opt installiert.

Alles funktioniert bis auf die Fehlermeldungen, die_fabi schon beschrieben hat.


Die error_log Datei (/opt/lampp/logs/error_log) gibt zu den obigen Fehlermeldungen
folgendes aus:

PHP Deprecated: Assigning the return value of new by reference is deprecated in /opt/lampp/phpsqliteadmin/include.php on line (30,36,38)
referer: //localhost/xampp/navi.php

Habe mir die navi.php (/opt/lampp/htdocs/xampp/navi.php) angesehen,
und vermutete, dass die Fehler auf eine nicht korrekte Konfiguration in der config von phpsqliteadmin
zurückzuführen sind.

In der config.php (/opt/lampp/phpsqliteadmin/config.php) steht folgendes:

$config['root_path'] = "C:/Arquivos de programas/Apache Group/Apache2/htdocs/hp/";

Habe daraufhin den root_path geändert in: ('/opt/lampp/htdocs/xampp/';)

Die Fehlermeldungen blieben.

Möglicherweise bin ich total auf dem Holzweg - was mache ich falsch?
aros
 
Posts: 2
Joined: 06. October 2009 09:02

Re: Fehlermeldung bei phpSQLiteAdmin

Postby aros » 07. October 2009 15:01

Nochmals: Hallo Zusammen

Inzwischen habe ich XAMPP 1.7.2 deinstalliert und mir von sourceforge die 1.7.1 runtergeladen und installiert.

Alles funktioniert!!!!

P.S. Sollte es bei der 1.7.2 eine Lösung geben, interessiert mich das natürlich trotzdem.

Also auf zum fröhlichen Arbeiten (typo3 Installation)
aros
 
Posts: 2
Joined: 06. October 2009 09:02


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 1 guest